summaryrefslogtreecommitdiff
path: root/sys-apps
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/Manifest.gzbin48479 -> 48501 bytes
-rw-r--r--sys-apps/findutils/Manifest1
-rw-r--r--sys-apps/findutils/findutils-4.8.0-r1.ebuild76
-rw-r--r--sys-apps/moreutils/Manifest2
-rw-r--r--sys-apps/moreutils/moreutils-0.66.ebuild2
-rw-r--r--sys-apps/openrc/Manifest6
-rw-r--r--sys-apps/openrc/openrc-0.43.5.ebuild184
-rw-r--r--sys-apps/openrc/openrc-0.44.5.ebuild164
-rw-r--r--sys-apps/openrc/openrc-0.44.6-r1.ebuild168
-rw-r--r--sys-apps/openrc/openrc-0.44.6.ebuild164
-rw-r--r--sys-apps/plocate/Manifest2
-rw-r--r--sys-apps/plocate/plocate-1.1.12.ebuild81
-rw-r--r--sys-apps/rkflashtool/Manifest2
-rw-r--r--sys-apps/rkflashtool/rkflashtool-6.1.ebuild9
-rw-r--r--sys-apps/sandbox/Manifest8
-rw-r--r--sys-apps/sandbox/metadata.xml3
-rw-r--r--sys-apps/sandbox/sandbox-2.25.ebuild2
-rw-r--r--sys-apps/sandbox/sandbox-2.26.ebuild60
-rw-r--r--sys-apps/sandbox/sandbox-2.27.ebuild64
-rw-r--r--sys-apps/shadow/Manifest2
-rw-r--r--sys-apps/shadow/shadow-4.9-r3.ebuild (renamed from sys-apps/shadow/shadow-4.9-r2.ebuild)7
-rw-r--r--sys-apps/systemd/Manifest2
-rw-r--r--sys-apps/systemd/systemd-249.5.ebuild515
23 files changed, 820 insertions, 704 deletions
diff --git a/sys-apps/Manifest.gz b/sys-apps/Manifest.gz
index e9bcac82b2b5..72d4d0f5e6e5 100644
--- a/sys-apps/Manifest.gz
+++ b/sys-apps/Manifest.gz
Binary files differ
diff --git a/sys-apps/findutils/Manifest b/sys-apps/findutils/Manifest
index a83aa94468da..952ef27cd32f 100644
--- a/sys-apps/findutils/Manifest
+++ b/sys-apps/findutils/Manifest
@@ -1,3 +1,4 @@
DIST findutils-4.8.0.tar.xz 1983096 BLAKE2B e1f030ef11c252d33e92bf58dca20a6dd681938aad74b1bbd2bf64a0d175d64c8edac1edce71d13379e04a27e47ffa6099e105bb731957cf5247ffe01d856538 SHA512 eaa2da304dbeb2cd659b9210ac37da1bde4cd665c12a818eca98541c5ed5cba1050641fc0c39c0a446a5a7a87a8d654df0e0e6b0cee21752ea485188c9f1071e
+EBUILD findutils-4.8.0-r1.ebuild 1933 BLAKE2B 41f79a4ce6b1988586d3d0fb7cd3d959a0bb927500b7cdffe0c358b0bce65d3dc8b2fe69a28473619fa71d69b0af66b5a24738e43f387bf81588071429875227 SHA512 0549e1c7e1f47508d2bca533c0b8a7a535b476f6879b2c103d8c93fd32854ed01041d92fe327cac9ce78004ececbf52ef55b58ee59cca1d6b67e71a2774bae0d
EBUILD findutils-4.8.0.ebuild 1863 BLAKE2B 7e463fd8ff4115740d91e97fc9a74c2dd998665c632ffe956a51ac43f52b8a0cb843513fdc4b6464809544de013f0288eaad0bf475358ef1d82bd1c153442866 SHA512 fa42b34ec7d561a5e4143f3690f0df99e53b678722c58ba83f7f286d9fea0e2bf248e7c10ecb630b907d406858c87e5292d21b34c414ca201b76fb951c97f33d
MISC metadata.xml 333 BLAKE2B 321643b5c847879de4e8c0a4abebd5534e91fc7e58313ec3258520fc1f1266f98cc1892b57589cd1427ad4a0cea39b3c03ce12741b04f75290346fddc6c245fe SHA512 b36dfd42e3af70bc1ef3c7629297a390dced3edb1dc3d7d10d7672ff532da743453d9382cb15d3102885150c2440bd85019865d61c4e4342004db2dcf993f0a2
diff --git a/sys-apps/findutils/findutils-4.8.0-r1.ebuild b/sys-apps/findutils/findutils-4.8.0-r1.ebuild
new file mode 100644
index 000000000000..659a7bb9835f
--- /dev/null
+++ b/sys-apps/findutils/findutils-4.8.0-r1.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit flag-o-matic python-any-r1
+
+DESCRIPTION="GNU utilities for finding files"
+HOMEPAGE="https://www.gnu.org/software/findutils/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls selinux static test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="selinux? ( sys-libs/libselinux )
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ test? ( ${PYTHON_DEPS} )
+"
+BDEPEND="
+ nls? ( sys-devel/gettext )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ # Don't build or install locate because it conflicts with mlocate,
+ # which is a secure version of locate. See bug 18729
+ sed \
+ -e '/^SUBDIRS/s@locate@@' \
+ -e '/^built_programs/s@ frcode locate updatedb@@' \
+ -i Makefile.in || die
+
+ default
+}
+
+src_configure() {
+ append-lfs-flags #471102
+ append-cppflags -D_TIME_BITS=64
+
+ if use static; then
+ append-flags -pthread
+ append-ldflags -static
+ fi
+
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ # https://lists.gnu.org/archive/html/bug-findutils/2021-01/msg00050.html
+ # https://lists.gnu.org/archive/html/bug-findutils/2021-01/msg00051.html
+ append-cppflags '-D__nonnull\(X\)='
+ fi
+
+ program_prefix=$(usex userland_GNU '' g)
+ local myeconfargs=(
+ --with-packager="Gentoo"
+ --with-packager-version="${PVR}"
+ --with-packager-bug-reports="https://bugs.gentoo.org/"
+ --program-prefix=${program_prefix}
+ $(use_enable nls)
+ $(use_with selinux)
+ --libexecdir='$(libdir)'/find
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ # We don't build locate, but the docs want a file in there.
+ emake -C locate dblocation.texi
+ default
+}
diff --git a/sys-apps/moreutils/Manifest b/sys-apps/moreutils/Manifest
index 8a78584c6189..acd77609d150 100644
--- a/sys-apps/moreutils/Manifest
+++ b/sys-apps/moreutils/Manifest
@@ -2,5 +2,5 @@ AUX moreutils-0.64-respect-env.patch 344 BLAKE2B 1b1dc56d77f9ddb4ffc05e911ac7ee9
DIST moreutils-0.65.tar.gz 93180 BLAKE2B 2105cc281b9f4c9598bb0cdd5a4b9b8042e77eb14de323ba889c182c956b00d7b8a899c4112542e0a3d513fd961ee0ed6c82dd2dbefffe50e1d4fd326919ef4f SHA512 dcad2a3b6d9621da6d2f860f39acb04c80d42cc2123e12a6ec84524f6a1fc7f5ae4bd5d00e698fe14d4c5e7d491d790970ce4370c9abd1f63318d1c512f596b9
DIST moreutils-0.66.tar.gz 93387 BLAKE2B 783ed558f0f77c2b384a1aa8852243242ce24e44e40b58f92e2179308df9cc3a27142820a7743c25ba4529a4b7ea7ae20c1fc02b86324638a7d13ad7536c6b21 SHA512 6c5f8b677d9912cf4e7aabf442361c89d23767f2a5df0a2c29ab72314e1ed3767a0a7a7abaa5044cf73ef877184d16e1d58e340780971e9e1299857756aca6a3
EBUILD moreutils-0.65.ebuild 1695 BLAKE2B e7804204f2162acf5a551abbad7a622def057c100cb04cddb4abdcd8169ce1dbf658f4e578af097a7d3e22cc10cb7b62b5a35eec647be273d9c57e5b318e3905 SHA512 4bc2cfba306082fe2dac9c3e43f25eaf66e3eea69b5ec4ac88c6237d4bd624fa1aa2a162e3be91766c38cfa12cae50f8cbfc4382aef96b47f8ce9b28168d8ea6
-EBUILD moreutils-0.66.ebuild 1699 BLAKE2B d0dfcfa7a412c1ad3f209c9459acf8b667df2263298a40586c185958d914663dca8420f10e1489b38ff537b8c650a7684527f4937cb97a40fa211461636df355 SHA512 7c7db86a47faff852b8e0b79bc39c925b1e170716ae2766a9a32d33a3c0919a66d8c40964a8dfd6616ad26905e70eadd7ae0511191f2cc62df2bc808feff51b8
+EBUILD moreutils-0.66.ebuild 1697 BLAKE2B b62614d19666f240c8abe247ad03241e13f30ebe1e0e31606f09e0b6d75b744a8a632f8fb437d2e2d776d5a04bf87b3793969f49a8badad3331337491e00b037 SHA512 b70b29d0b0857baab8804219e0725f589afb830e10ab4bfca6012043230c30b03b0ef314506928f155f7c39046a081215af1283750730e356473bbaff6a7485b
MISC metadata.xml 314 BLAKE2B 41e19552cdd8289a03ab33f6fd514028d689236160501e2c84644e1075e957f6faeba6eacf163fcd624e995bd6ff7016e663e65cc753e7de3621aa46922a0766 SHA512 36a70c222b6de13c1245d0a95d097389e84ee7b7f55a08c62ca5c7c44bb51808f63faa10e81fdec7eff7bb680be32ed31bb2fd5362c5f35ba8fb92bb60a7ffe3
diff --git a/sys-apps/moreutils/moreutils-0.66.ebuild b/sys-apps/moreutils/moreutils-0.66.ebuild
index 2a5608311949..c82f477f7ba2 100644
--- a/sys-apps/moreutils/moreutils-0.66.ebuild
+++ b/sys-apps/moreutils/moreutils-0.66.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://git.joeyh.name/index.cgi/moreutils.git/snapshot/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 x86 ~x86-linux ~x64-macos"
IUSE="+doc +perl"
RDEPEND="
diff --git a/sys-apps/openrc/Manifest b/sys-apps/openrc/Manifest
index ffb5a753fcb1..ac1aada4907f 100644
--- a/sys-apps/openrc/Manifest
+++ b/sys-apps/openrc/Manifest
@@ -2,14 +2,8 @@ AUX openrc-0.44.6-fix-checkpath.patch 862 BLAKE2B 35aac37270c8ee779d2e3f0291e2f2
AUX openrc.logrotate 43 BLAKE2B 0587cd211767937fd6273e6b159271490443a94d80a54b5a20ef625a1959e77dbf38cd1756838337fb39a061c4ee19a39cccd2f5867fab9f04fb916a74029aaa SHA512 12bb6354e808fbf47bbab963de55ee7901738b4a912659982c57ef2777fff9a670e867fcb8ec316a76b151032c92dc89a950d7d1d835ef53f753a8f3b41d2cec
AUX start-stop-daemon.pam 63 BLAKE2B df39a1a12fe09dbbc0746eac67035d9e6d4a63323f6c937ef3888c70787354128e415b3c1c8bccccec0c987b3e789711cd1ddaba55e9b53a7f67b332c4ca9d5b SHA512 85cf440611b8f87f51bf24bdd9fa03639a75b950f00096d81b8826c21ae85ff9784b8c56b8ddb482e70f08bce933d4561b30750346d51fb2cef3be34acc065cb
DIST openrc-0.43.5.tar.gz 242146 BLAKE2B 993d3895588e8f1383049006834f944faaae0f889d3afcae5bff697db9f26383712f18aba52ce07d835f1d2bbe8ef19ef116ad60141d1eb0650767430d1d9967 SHA512 680c1549a8a37eb3a719f3e026888d045d26c98357d6e6eaf09069a23a001272deaca8cac4a9b8fd79f489c4cfb4fe2c7b5d481d1469798a8f5ec470d0cadbe3
-DIST openrc-0.44.5.tar.gz 253815 BLAKE2B e0d1ed26a18f59a226a44b3cf041c9b8017fbbe304aa5986d8e5ada17530594ac1a8099bf392ee6cd41c6668ce69a51ee1776817745b568e182bfbeac3a01799 SHA512 95b9399168522ead967a9f1de8ddce3826de997ff0e1acd56b342dc41cf18ea527598ea316e0e377916582a4f6a109a12233bd302e72ae93b3f1bcb81bfe7a4a
-DIST openrc-0.44.6.tar.gz 253905 BLAKE2B 3a1b337fde50e54fa6d7cabf4f1103889dbda8b04dd98c1ef19ec6ed778a4a1006afb8c9bcc6944b12219f2a2adf2f4dd5afe6243b7a69c23d5effed77cb4224 SHA512 203e48781d5c6d1c0839439823f0f26d2fcd44cd03512379993df684693098080cf7253cffaafca76032551146c36c6fff7bc0d7c848725dc2bccf7519da6d3a
DIST openrc-0.44.7.tar.gz 255444 BLAKE2B 8058e1fd8fcce46f53e73b56ec8da5eec9ba0807d657aef4ece2d49056c02a451c41155df96b167ff157863a85d77eb63796715b5191dd1c6c631c8f859d3090 SHA512 c6b3e2e30615d97a5185320a140ced881bc59ba31ea8dff5d80440396166af237826de6ffc7836ec141e305c92176cd9cc3dabff7e42ac0d80e5238513fefdb7
EBUILD openrc-0.43.5-r1.ebuild 5066 BLAKE2B b3e56275bd07558fa1b3a67e76c343d4368803ff8c806872e1fe7351667848640b722de86c5cac410d76e02d69a5adb764a942aafa180e22c4d79d7c90533e6e SHA512 8214a366eeb208c3f05302ec0f35a0bc9fb500951d102faa3010c0b8dc005d2d4a04609efd89351c76984ed18b0013e16367a0d257d809b667f69f981164dd46
-EBUILD openrc-0.43.5.ebuild 5005 BLAKE2B a3725838bfd17681923474879383e3ec0b08cea121ea1e0c7ec62c83f726ac5deb35d82143217f7a2ffca3190ee058accfe770b89c1a3294be65a394c7c3b5e3 SHA512 f0fe7ceaf9a2066abe235fc6bd857045c354a4e33c2e9e41c2a65f02e03364ff6fc331a1b6f41627da9edcddf4b9f72bc2af1f31c711a9dafe3d6c3b4c8ae277
-EBUILD openrc-0.44.5.ebuild 4534 BLAKE2B c9e833d7b41f15e76dc1877493f06567d22bfcab7f9e62abaa30b8540b1d2d46fa83098259368ffd3ab2b93881f973d4335128c1ed70b937d465ec611c0e27db SHA512 0cc39723a7bf28ef6bcdda6893ac8ce1f3c06050f6754afeb81832635d56525c28d0af4d479b8d3199792e084165f515b32eab3747cb64a635cc552087550fb5
-EBUILD openrc-0.44.6-r1.ebuild 4587 BLAKE2B 166de8659e2af23277ac62880e0bed31bcc59c28a774c63e94523f2e0523ccb5ba4708962df4533c1b876d74484d79d282831f457d698ca2d9c725966c084619 SHA512 505249633af31bab11d0fbbf01f618286ca9d8fcc587403a3348b47c2373b6aea9ac8afd94da771dca6d80fb50245874c2bfd9ef5b1be8c2a71380e39b980ab2
-EBUILD openrc-0.44.6.ebuild 4534 BLAKE2B c9e833d7b41f15e76dc1877493f06567d22bfcab7f9e62abaa30b8540b1d2d46fa83098259368ffd3ab2b93881f973d4335128c1ed70b937d465ec611c0e27db SHA512 0cc39723a7bf28ef6bcdda6893ac8ce1f3c06050f6754afeb81832635d56525c28d0af4d479b8d3199792e084165f515b32eab3747cb64a635cc552087550fb5
EBUILD openrc-0.44.7.ebuild 4534 BLAKE2B c9e833d7b41f15e76dc1877493f06567d22bfcab7f9e62abaa30b8540b1d2d46fa83098259368ffd3ab2b93881f973d4335128c1ed70b937d465ec611c0e27db SHA512 0cc39723a7bf28ef6bcdda6893ac8ce1f3c06050f6754afeb81832635d56525c28d0af4d479b8d3199792e084165f515b32eab3747cb64a635cc552087550fb5
EBUILD openrc-9999.ebuild 4535 BLAKE2B 7320f6dc00ac1df21449846c389bc6cba8797da82bebb2b2055eb83e79351e593a0a9137222dca1f02de05ca6e1fe86f05531c51793aff2f0ee3376bc35ef91d SHA512 e59d13f838fbf466855c6049f8d743c952aa22cb97f1c617aff167db36069fc1e5c6aac283aa4920c33ca95ec2f0ec3598b1501c5aaf06cb8bbec69d8129031f
MISC metadata.xml 707 BLAKE2B 713b69a4e4d6a61051c9f6dfda46da3afa62c590c62b4f371f3949140eaecfa665a977091ac858bff99380dfc3758038ee6a96b0c8b88c142e2e751b20318fba SHA512 5260e1aec8973d42bf059b1f20b3a5f95b98608efeac614d46b20d774a3453c25348cea4a45d745abe829ad016dbc524080c482c1666032e969e08fefe1efc37
diff --git a/sys-apps/openrc/openrc-0.43.5.ebuild b/sys-apps/openrc/openrc-0.43.5.ebuild
deleted file mode 100644
index 27177b3a37a2..000000000000
--- a/sys-apps/openrc/openrc-0.43.5.ebuild
+++ /dev/null
@@ -1,184 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic pam toolchain-funcs
-
-DESCRIPTION="OpenRC manages the services, startup and shutdown of a host"
-HOMEPAGE="https://github.com/openrc/openrc/"
-
-if [[ ${PV} == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/OpenRC/${PN}.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
-fi
-
-LICENSE="BSD-2"
-SLOT="0"
-IUSE="audit bash debug ncurses pam newnet prefix +netifrc selinux sysv-utils unicode"
-
-COMMON_DEPEND="
- ncurses? ( sys-libs/ncurses:0= )
- pam? ( sys-libs/pam )
- audit? ( sys-process/audit )
- sys-process/psmisc
- !<sys-process/procps-3.3.9-r2
- selinux? (
- sys-apps/policycoreutils
- >=sys-libs/libselinux-2.6
- )
- !<sys-apps/baselayout-2.1-r1
- !<sys-fs/udev-init-scripts-27"
-DEPEND="${COMMON_DEPEND}
- virtual/os-headers
- ncurses? ( virtual/pkgconfig )"
-RDEPEND="${COMMON_DEPEND}
- bash? ( app-shells/bash )
- !prefix? (
- sysv-utils? (
- !sys-apps/systemd[sysv-utils(-)]
- !sys-apps/sysvinit
- )
- !sysv-utils? ( >=sys-apps/sysvinit-2.86-r6[selinux?] )
- virtual/tmpfiles
- )
- selinux? (
- >=sec-policy/selinux-base-policy-2.20170204-r4
- >=sec-policy/selinux-openrc-2.20170204-r4
- )
- !<app-shells/gentoo-bashcomp-20180302
- !<app-shells/gentoo-zsh-completions-20180228
-"
-
-PDEPEND="netifrc? ( net-misc/netifrc )"
-
-src_prepare() {
- default
- if [[ ${PV} == "9999" ]] ; then
- local ver="git-${EGIT_VERSION:0:6}"
- sed -i "/^GITVER[[:space:]]*=/s:=.*:=${ver}:" mk/gitver.mk || die
- fi
-}
-
-src_compile() {
- MAKE_ARGS="${MAKE_ARGS}
- LIBNAME=$(get_libdir)
- LIBDIR=${EPREFIX}/$(get_libdir)
- LIBEXECDIR=${EPREFIX}/lib/rc
- MKBASHCOMP=yes
- MKNET=$(usex newnet)
- MKSELINUX=$(usex selinux)
- MKSYSVINIT=$(usex sysv-utils)
- MKAUDIT=$(usex audit)
- MKPAM=$(usev pam)
- MKSTATICLIBS=no
- MKZSHCOMP=yes
- OS=Linux
- SH=$(usex bash /bin/bash /bin/sh)"
-
- use prefix && MAKE_ARGS="${MAKE_ARGS} MKPREFIX=yes PREFIX=${EPREFIX}"
-export BRANDING="Gentoo Linux"
- export DEBUG=$(usev debug)
- export MKTERMCAP=$(usev ncurses)
-
- tc-export CC AR RANLIB
- emake ${MAKE_ARGS}
-}
-
-# set_config <file> <option name> <yes value> <no value> test
-# a value of "#" will just comment out the option
-set_config() {
- local file="${ED}/$1" var=$2 val com
- eval "${@:5}" && val=$3 || val=$4
- [[ ${val} == "#" ]] && com="#" && val='\2'
- sed -i -r -e "/^#?${var}=/{s:=([\"'])?([^ ]*)\1?:=\1${val}\1:;s:^#?:${com}:}" "${file}"
-}
-
-set_config_yes_no() {
- set_config "$1" "$2" YES NO "${@:3}"
-}
-
-src_install() {
- emake ${MAKE_ARGS} DESTDIR="${D}" install
-
- keepdir /lib/rc/tmp
-
- # Setup unicode defaults for silly unicode users
- set_config_yes_no /etc/rc.conf unicode use unicode
-
- # Cater to the norm
- set_config_yes_no /etc/conf.d/keymaps windowkeys '(' use x86 '||' use amd64 ')'
-
- # On HPPA, do not run consolefont by default (bug #222889)
- if use hppa; then
- rm -f "${ED}"/etc/runlevels/boot/consolefont
- fi
-
- # Support for logfile rotation
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/openrc.logrotate openrc
-
- if use pam; then
- # install gentoo pam.d files
- newpamd "${FILESDIR}"/start-stop-daemon.pam start-stop-daemon
- newpamd "${FILESDIR}"/start-stop-daemon.pam supervise-daemon
- fi
-
- # install documentation
- dodoc ChangeLog *.md
- if use newnet; then
- dodoc README.newnet
- fi
-}
-
-pkg_preinst() {
- # avoid default thrashing in conf.d files when possible #295406
- if [[ -e "${EROOT}"/etc/conf.d/hostname ]] ; then
- (
- unset hostname HOSTNAME
- source "${EROOT}"/etc/conf.d/hostname
- : ${hostname:=${HOSTNAME}}
- [[ -n ${hostname} ]] && set_config /etc/conf.d/hostname hostname "${hostname}"
- )
- fi
-
- # set default interactive shell to sulogin if it exists
- set_config /etc/rc.conf rc_shell /sbin/sulogin "#" test -e /sbin/sulogin
- return 0
-}
-
-pkg_postinst() {
- if use hppa; then
- elog "Setting the console font does not work on all HPPA consoles."
- elog "You can still enable it by running:"
- elog "# rc-update add consolefont boot"
- fi
-
- # Added for 0.35.
- if [[ ! -h "${EROOT}"/lib ]]; then
- if [[ -d "${EROOT}/$(get_libdir)"/rc ]]; then
- cp -RPp "${EROOT}/$(get_libdir)/rc" "${EROOT}"/lib
- fi
- fi
-
- if ! use newnet && ! use netifrc; then
- ewarn "You have emerged OpenRc without network support. This"
- ewarn "means you need to SET UP a network manager such as"
- ewarn " net-misc/netifrc, net-misc/dhcpcd, net-misc/connman,"
- ewarn " net-misc/NetworkManager, or net-vpn/badvpn."
- ewarn "Or, you have the option of emerging openrc with the newnet"
- ewarn "use flag and configuring /etc/conf.d/network and"
- ewarn "/etc/conf.d/staticroute if you only use static interfaces."
- ewarn
- fi
-
- if use newnet && [ ! -e "${EROOT}"/etc/runlevels/boot/network ]; then
- ewarn "Please add the network service to your boot runlevel"
- ewarn "as soon as possible. Not doing so could leave you with a system"
- ewarn "without networking."
- ewarn
- fi
-}
diff --git a/sys-apps/openrc/openrc-0.44.5.ebuild b/sys-apps/openrc/openrc-0.44.5.ebuild
deleted file mode 100644
index 8edadaf9e4e1..000000000000
--- a/sys-apps/openrc/openrc-0.44.5.ebuild
+++ /dev/null
@@ -1,164 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic meson pam toolchain-funcs
-
-DESCRIPTION="OpenRC manages the services, startup and shutdown of a host"
-HOMEPAGE="https://github.com/openrc/openrc/"
-
-if [[ ${PV} =~ ^9{4,}$ ]]; then
- EGIT_REPO_URI="https://github.com/OpenRC/${PN}.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/OpenRC/openrc/archive/${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-fi
-
-LICENSE="BSD-2"
-SLOT="0"
-IUSE="audit bash debug ncurses pam newnet +netifrc selinux sysv-utils unicode"
-
-COMMON_DEPEND="
- ncurses? ( sys-libs/ncurses:0= )
- pam? ( sys-libs/pam )
- audit? ( sys-process/audit )
- sys-process/psmisc
- !<sys-process/procps-3.3.9-r2
- selinux? (
- sys-apps/policycoreutils
- >=sys-libs/libselinux-2.6
- )
- !<sys-apps/baselayout-2.1-r1
- !<sys-fs/udev-init-scripts-27"
-DEPEND="${COMMON_DEPEND}
- virtual/os-headers
- ncurses? ( virtual/pkgconfig )"
-RDEPEND="${COMMON_DEPEND}
- bash? ( app-shells/bash )
- !prefix? (
- sysv-utils? (
- !sys-apps/systemd[sysv-utils(-)]
- !sys-apps/sysvinit
- )
- !sysv-utils? ( >=sys-apps/sysvinit-2.86-r6[selinux?] )
- virtual/tmpfiles
- )
- selinux? (
- >=sec-policy/selinux-base-policy-2.20170204-r4
- >=sec-policy/selinux-openrc-2.20170204-r4
- )
- !<app-shells/gentoo-bashcomp-20180302
- !<app-shells/gentoo-zsh-completions-20180228
-"
-
-PDEPEND="netifrc? ( net-misc/netifrc )"
-
-src_configure() {
- local emesonargs=(
- $(meson_feature audit)
- "-Dbranding=\"Gentoo Linux\""
- $(meson_use newnet)
- -Dos=Linux
- $(meson_use pam)
- $(meson_feature selinux)
- -Dshell=$(usex bash /bin/bash /bin/sh)
- $(meson_use sysv-utils sysvinit)
- -Dtermcap=$(usev ncurses)
- )
- # export DEBUG=$(usev debug)
- meson_src_configure
-}
-
-# set_config <file> <option name> <yes value> <no value> test
-# a value of "#" will just comment out the option
-set_config() {
- local file="${ED}/$1" var=$2 val com
- eval "${@:5}" && val=$3 || val=$4
- [[ ${val} == "#" ]] && com="#" && val='\2'
- sed -i -r -e "/^#?${var}=/{s:=([\"'])?([^ ]*)\1?:=\1${val}\1:;s:^#?:${com}:}" "${file}"
-}
-
-set_config_yes_no() {
- set_config "$1" "$2" YES NO "${@:3}"
-}
-
-src_install() {
- meson_install
-
- keepdir /lib/rc/tmp
-
- # Setup unicode defaults for silly unicode users
- set_config_yes_no /etc/rc.conf unicode use unicode
-
- # Cater to the norm
- set_config_yes_no /etc/conf.d/keymaps windowkeys '(' use x86 '||' use amd64 ')'
-
- # On HPPA, do not run consolefont by default (bug #222889)
- if use hppa; then
- rm -f "${ED}"/etc/runlevels/boot/consolefont
- fi
-
- # Support for logfile rotation
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/openrc.logrotate openrc
-
- if use pam; then
- # install gentoo pam.d files
- newpamd "${FILESDIR}"/start-stop-daemon.pam start-stop-daemon
- newpamd "${FILESDIR}"/start-stop-daemon.pam supervise-daemon
- fi
-
- # install documentation
- dodoc ChangeLog *.md
-}
-
-pkg_preinst() {
- # avoid default thrashing in conf.d files when possible #295406
- if [[ -e "${EROOT}"/etc/conf.d/hostname ]] ; then
- (
- unset hostname HOSTNAME
- source "${EROOT}"/etc/conf.d/hostname
- : ${hostname:=${HOSTNAME}}
- [[ -n ${hostname} ]] && set_config /etc/conf.d/hostname hostname "${hostname}"
- )
- fi
-
- # set default interactive shell to sulogin if it exists
- set_config /etc/rc.conf rc_shell /sbin/sulogin "#" test -e /sbin/sulogin
- return 0
-}
-
-pkg_postinst() {
- if use hppa; then
- elog "Setting the console font does not work on all HPPA consoles."
- elog "You can still enable it by running:"
- elog "# rc-update add consolefont boot"
- fi
-
- # Added for 0.35.
- if [[ ! -h "${EROOT}"/lib ]]; then
- if [[ -d "${EROOT}/$(get_libdir)"/rc ]]; then
- cp -RPp "${EROOT}/$(get_libdir)/rc" "${EROOT}"/lib
- fi
- fi
-
- if ! use newnet && ! use netifrc; then
- ewarn "You have emerged OpenRc without network support. This"
- ewarn "means you need to SET UP a network manager such as"
- ewarn " net-misc/netifrc, net-misc/dhcpcd, net-misc/connman,"
- ewarn " net-misc/NetworkManager, or net-vpn/badvpn."
- ewarn "Or, you have the option of emerging openrc with the newnet"
- ewarn "use flag and configuring /etc/conf.d/network and"
- ewarn "/etc/conf.d/staticroute if you only use static interfaces."
- ewarn
- fi
-
- if use newnet && [ ! -e "${EROOT}"/etc/runlevels/boot/network ]; then
- ewarn "Please add the network service to your boot runlevel"
- ewarn "as soon as possible. Not doing so could leave you with a system"
- ewarn "without networking."
- ewarn
- fi
-}
diff --git a/sys-apps/openrc/openrc-0.44.6-r1.ebuild b/sys-apps/openrc/openrc-0.44.6-r1.ebuild
deleted file mode 100644
index 4886ab05cc4a..000000000000
--- a/sys-apps/openrc/openrc-0.44.6-r1.ebuild
+++ /dev/null
@@ -1,168 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic meson pam toolchain-funcs
-
-DESCRIPTION="OpenRC manages the services, startup and shutdown of a host"
-HOMEPAGE="https://github.com/openrc/openrc/"
-
-if [[ ${PV} =~ ^9{4,}$ ]]; then
- EGIT_REPO_URI="https://github.com/OpenRC/${PN}.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/OpenRC/openrc/archive/${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-fi
-
-LICENSE="BSD-2"
-SLOT="0"
-IUSE="audit bash debug ncurses pam newnet +netifrc selinux sysv-utils unicode"
-
-COMMON_DEPEND="
- ncurses? ( sys-libs/ncurses:0= )
- pam? ( sys-libs/pam )
- audit? ( sys-process/audit )
- sys-process/psmisc
- !<sys-process/procps-3.3.9-r2
- selinux? (
- sys-apps/policycoreutils
- >=sys-libs/libselinux-2.6
- )
- !<sys-apps/baselayout-2.1-r1
- !<sys-fs/udev-init-scripts-27"
-DEPEND="${COMMON_DEPEND}
- virtual/os-headers
- ncurses? ( virtual/pkgconfig )"
-RDEPEND="${COMMON_DEPEND}
- bash? ( app-shells/bash )
- !prefix? (
- sysv-utils? (
- !sys-apps/systemd[sysv-utils(-)]
- !sys-apps/sysvinit
- )
- !sysv-utils? ( >=sys-apps/sysvinit-2.86-r6[selinux?] )
- virtual/tmpfiles
- )
- selinux? (
- >=sec-policy/selinux-base-policy-2.20170204-r4
- >=sec-policy/selinux-openrc-2.20170204-r4
- )
- !<app-shells/gentoo-bashcomp-20180302
- !<app-shells/gentoo-zsh-completions-20180228
-"
-
-PDEPEND="netifrc? ( net-misc/netifrc )"
-
-PATCHES=(
- "${FILESDIR}"/${P}-fix-checkpath.patch
-)
-
-src_configure() {
- local emesonargs=(
- $(meson_feature audit)
- "-Dbranding=\"Gentoo Linux\""
- $(meson_use newnet)
- -Dos=Linux
- $(meson_use pam)
- $(meson_feature selinux)
- -Dshell=$(usex bash /bin/bash /bin/sh)
- $(meson_use sysv-utils sysvinit)
- -Dtermcap=$(usev ncurses)
- )
- # export DEBUG=$(usev debug)
- meson_src_configure
-}
-
-# set_config <file> <option name> <yes value> <no value> test
-# a value of "#" will just comment out the option
-set_config() {
- local file="${ED}/$1" var=$2 val com
- eval "${@:5}" && val=$3 || val=$4
- [[ ${val} == "#" ]] && com="#" && val='\2'
- sed -i -r -e "/^#?${var}=/{s:=([\"'])?([^ ]*)\1?:=\1${val}\1:;s:^#?:${com}:}" "${file}"
-}
-
-set_config_yes_no() {
- set_config "$1" "$2" YES NO "${@:3}"
-}
-
-src_install() {
- meson_install
-
- keepdir /lib/rc/tmp
-
- # Setup unicode defaults for silly unicode users
- set_config_yes_no /etc/rc.conf unicode use unicode
-
- # Cater to the norm
- set_config_yes_no /etc/conf.d/keymaps windowkeys '(' use x86 '||' use amd64 ')'
-
- # On HPPA, do not run consolefont by default (bug #222889)
- if use hppa; then
- rm -f "${ED}"/etc/runlevels/boot/consolefont
- fi
-
- # Support for logfile rotation
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/openrc.logrotate openrc
-
- if use pam; then
- # install gentoo pam.d files
- newpamd "${FILESDIR}"/start-stop-daemon.pam start-stop-daemon
- newpamd "${FILESDIR}"/start-stop-daemon.pam supervise-daemon
- fi
-
- # install documentation
- dodoc ChangeLog *.md
-}
-
-pkg_preinst() {
- # avoid default thrashing in conf.d files when possible #295406
- if [[ -e "${EROOT}"/etc/conf.d/hostname ]] ; then
- (
- unset hostname HOSTNAME
- source "${EROOT}"/etc/conf.d/hostname
- : ${hostname:=${HOSTNAME}}
- [[ -n ${hostname} ]] && set_config /etc/conf.d/hostname hostname "${hostname}"
- )
- fi
-
- # set default interactive shell to sulogin if it exists
- set_config /etc/rc.conf rc_shell /sbin/sulogin "#" test -e /sbin/sulogin
- return 0
-}
-
-pkg_postinst() {
- if use hppa; then
- elog "Setting the console font does not work on all HPPA consoles."
- elog "You can still enable it by running:"
- elog "# rc-update add consolefont boot"
- fi
-
- # Added for 0.35.
- if [[ ! -h "${EROOT}"/lib ]]; then
- if [[ -d "${EROOT}/$(get_libdir)"/rc ]]; then
- cp -RPp "${EROOT}/$(get_libdir)/rc" "${EROOT}"/lib
- fi
- fi
-
- if ! use newnet && ! use netifrc; then
- ewarn "You have emerged OpenRc without network support. This"
- ewarn "means you need to SET UP a network manager such as"
- ewarn " net-misc/netifrc, net-misc/dhcpcd, net-misc/connman,"
- ewarn " net-misc/NetworkManager, or net-vpn/badvpn."
- ewarn "Or, you have the option of emerging openrc with the newnet"
- ewarn "use flag and configuring /etc/conf.d/network and"
- ewarn "/etc/conf.d/staticroute if you only use static interfaces."
- ewarn
- fi
-
- if use newnet && [ ! -e "${EROOT}"/etc/runlevels/boot/network ]; then
- ewarn "Please add the network service to your boot runlevel"
- ewarn "as soon as possible. Not doing so could leave you with a system"
- ewarn "without networking."
- ewarn
- fi
-}
diff --git a/sys-apps/openrc/openrc-0.44.6.ebuild b/sys-apps/openrc/openrc-0.44.6.ebuild
deleted file mode 100644
index 8edadaf9e4e1..000000000000
--- a/sys-apps/openrc/openrc-0.44.6.ebuild
+++ /dev/null
@@ -1,164 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit flag-o-matic meson pam toolchain-funcs
-
-DESCRIPTION="OpenRC manages the services, startup and shutdown of a host"
-HOMEPAGE="https://github.com/openrc/openrc/"
-
-if [[ ${PV} =~ ^9{4,}$ ]]; then
- EGIT_REPO_URI="https://github.com/OpenRC/${PN}.git"
- inherit git-r3
-else
- SRC_URI="https://github.com/OpenRC/openrc/archive/${PV}.tar.gz -> ${P}.tar.gz"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
-fi
-
-LICENSE="BSD-2"
-SLOT="0"
-IUSE="audit bash debug ncurses pam newnet +netifrc selinux sysv-utils unicode"
-
-COMMON_DEPEND="
- ncurses? ( sys-libs/ncurses:0= )
- pam? ( sys-libs/pam )
- audit? ( sys-process/audit )
- sys-process/psmisc
- !<sys-process/procps-3.3.9-r2
- selinux? (
- sys-apps/policycoreutils
- >=sys-libs/libselinux-2.6
- )
- !<sys-apps/baselayout-2.1-r1
- !<sys-fs/udev-init-scripts-27"
-DEPEND="${COMMON_DEPEND}
- virtual/os-headers
- ncurses? ( virtual/pkgconfig )"
-RDEPEND="${COMMON_DEPEND}
- bash? ( app-shells/bash )
- !prefix? (
- sysv-utils? (
- !sys-apps/systemd[sysv-utils(-)]
- !sys-apps/sysvinit
- )
- !sysv-utils? ( >=sys-apps/sysvinit-2.86-r6[selinux?] )
- virtual/tmpfiles
- )
- selinux? (
- >=sec-policy/selinux-base-policy-2.20170204-r4
- >=sec-policy/selinux-openrc-2.20170204-r4
- )
- !<app-shells/gentoo-bashcomp-20180302
- !<app-shells/gentoo-zsh-completions-20180228
-"
-
-PDEPEND="netifrc? ( net-misc/netifrc )"
-
-src_configure() {
- local emesonargs=(
- $(meson_feature audit)
- "-Dbranding=\"Gentoo Linux\""
- $(meson_use newnet)
- -Dos=Linux
- $(meson_use pam)
- $(meson_feature selinux)
- -Dshell=$(usex bash /bin/bash /bin/sh)
- $(meson_use sysv-utils sysvinit)
- -Dtermcap=$(usev ncurses)
- )
- # export DEBUG=$(usev debug)
- meson_src_configure
-}
-
-# set_config <file> <option name> <yes value> <no value> test
-# a value of "#" will just comment out the option
-set_config() {
- local file="${ED}/$1" var=$2 val com
- eval "${@:5}" && val=$3 || val=$4
- [[ ${val} == "#" ]] && com="#" && val='\2'
- sed -i -r -e "/^#?${var}=/{s:=([\"'])?([^ ]*)\1?:=\1${val}\1:;s:^#?:${com}:}" "${file}"
-}
-
-set_config_yes_no() {
- set_config "$1" "$2" YES NO "${@:3}"
-}
-
-src_install() {
- meson_install
-
- keepdir /lib/rc/tmp
-
- # Setup unicode defaults for silly unicode users
- set_config_yes_no /etc/rc.conf unicode use unicode
-
- # Cater to the norm
- set_config_yes_no /etc/conf.d/keymaps windowkeys '(' use x86 '||' use amd64 ')'
-
- # On HPPA, do not run consolefont by default (bug #222889)
- if use hppa; then
- rm -f "${ED}"/etc/runlevels/boot/consolefont
- fi
-
- # Support for logfile rotation
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/openrc.logrotate openrc
-
- if use pam; then
- # install gentoo pam.d files
- newpamd "${FILESDIR}"/start-stop-daemon.pam start-stop-daemon
- newpamd "${FILESDIR}"/start-stop-daemon.pam supervise-daemon
- fi
-
- # install documentation
- dodoc ChangeLog *.md
-}
-
-pkg_preinst() {
- # avoid default thrashing in conf.d files when possible #295406
- if [[ -e "${EROOT}"/etc/conf.d/hostname ]] ; then
- (
- unset hostname HOSTNAME
- source "${EROOT}"/etc/conf.d/hostname
- : ${hostname:=${HOSTNAME}}
- [[ -n ${hostname} ]] && set_config /etc/conf.d/hostname hostname "${hostname}"
- )
- fi
-
- # set default interactive shell to sulogin if it exists
- set_config /etc/rc.conf rc_shell /sbin/sulogin "#" test -e /sbin/sulogin
- return 0
-}
-
-pkg_postinst() {
- if use hppa; then
- elog "Setting the console font does not work on all HPPA consoles."
- elog "You can still enable it by running:"
- elog "# rc-update add consolefont boot"
- fi
-
- # Added for 0.35.
- if [[ ! -h "${EROOT}"/lib ]]; then
- if [[ -d "${EROOT}/$(get_libdir)"/rc ]]; then
- cp -RPp "${EROOT}/$(get_libdir)/rc" "${EROOT}"/lib
- fi
- fi
-
- if ! use newnet && ! use netifrc; then
- ewarn "You have emerged OpenRc without network support. This"
- ewarn "means you need to SET UP a network manager such as"
- ewarn " net-misc/netifrc, net-misc/dhcpcd, net-misc/connman,"
- ewarn " net-misc/NetworkManager, or net-vpn/badvpn."
- ewarn "Or, you have the option of emerging openrc with the newnet"
- ewarn "use flag and configuring /etc/conf.d/network and"
- ewarn "/etc/conf.d/staticroute if you only use static interfaces."
- ewarn
- fi
-
- if use newnet && [ ! -e "${EROOT}"/etc/runlevels/boot/network ]; then
- ewarn "Please add the network service to your boot runlevel"
- ewarn "as soon as possible. Not doing so could leave you with a system"
- ewarn "without networking."
- ewarn
- fi
-}
diff --git a/sys-apps/plocate/Manifest b/sys-apps/plocate/Manifest
index 9f41208efbf9..586812de93c9 100644
--- a/sys-apps/plocate/Manifest
+++ b/sys-apps/plocate/Manifest
@@ -5,8 +5,10 @@ AUX plocate.cron 1392 BLAKE2B 89f7eb05879c0c1a6c30376d36dc469dde0b94df3758ae6590
AUX updatedb.conf 898 BLAKE2B de832ebc92e103ccaf8923b2eb872ad8e1ef36be2dfaa463a054e3e9fc256102db676ab0568501b695d943fcb74ae6ab01585bf7301cc6aa9ce6d709cc1690b5 SHA512 8b0b32e949636aef46c5439b0c963cc113306cedb1e5c84dbbfa2efba6562ca6dd602fdbfa0b3bc9095b0cf30a619ebb366535406cdb461f20d012ec1af7ff9d
DIST plocate-1.1.10.tar.gz 72222 BLAKE2B 2d84177454380c9e806a46a6e7057aca15b65c9d83179ba35062d0b8772e7cb3ff50d594c294d73157e7705d4b2eea3f12d07e614076e6a6c7a9b532f42640f5 SHA512 eee4a8982b8fff18793cd06c35cdea501226fae6409df02e8bed3d14feb3ed4ba6c29e907f36f5efb74202e8926547def83379b03aeb6348e1a6e7b51f12fdb9
DIST plocate-1.1.11.tar.gz 72366 BLAKE2B 2b945b3e61244670e2295e1e5abc2af65d2cdbb2393a96961cd4ae97384a735c327037771e6f41927cec0860207a6f98b7b0c2b03d08678bdb0d72a94dfa04f7 SHA512 59f88a11ebbac5f350acca6d1a5890ac1c1cb10c1de2e4e149df60fc63673eefa7f143b06f79ec4e59c65d435b3e222eba5618c48afab97983d76f56fbe8b433
+DIST plocate-1.1.12.tar.gz 72710 BLAKE2B 4b12d49f1e2827a5bfbc2d110579bb6af3c74368bb8d1ad76cc979a75d58e234dbc011bffcf2ee92059a2e1d62cacd06ba43fac2abcc130176aa2d034ad94211 SHA512 b22d6c45f43ac06391f7a92e9ef8d642d1da2ee40d7273e4a61d278d05cdc2be6d5a777ed5966bdf58b13ac7027518e3eb308d7034db030c665cf3b35baea2b5
DIST plocate-1.1.8.tar.gz 71569 BLAKE2B 06ad0e9535b76bf0102cdeeb6014e2d84f85f51f5926520566e9c6871f04ac09651bb0674ed679d2a4c0d4e516e55dfef35a7021112fad3549bf76993554aeb5 SHA512 a685347df64ac1a3eb7789cb7023b4d0ffed5fb7435a4bd88c3943991e145a387829532ec0c01d30d851b97b8d3173ff4c7c274775e639b75f0b1b45e5bca2a6
EBUILD plocate-1.1.10.ebuild 2076 BLAKE2B 24b739711c5dea6964cfac26f18ab4f7cff7d1a78a8d2d7d2ed1810d12a417a42bd0257ad14a36c9e65aa7c767fc9cd8a7db151f58ceac2345514964c084d0fe SHA512 0a6c96e085ed11000df8b30e2406c100a2404f0cd72b912493ab3734fca774313e86cb0f489db791fb2daa39bcba21a6452428a0ac1d539617296e72b5ef5c30
EBUILD plocate-1.1.11.ebuild 2082 BLAKE2B be1b2f92a10046afec88779b936c1a859fd5d3f5555e72b992643f665b719809032fb6d391abedf769fcdd5a600adc0daf0b6714bf561efc85fc67106848ce85 SHA512 f230b493de88e8acf4bba3c1c46a10253688d7a6ae9a88c15045b8ff0083238737714872cb67376ca61d03f91465e69ad147b80de806f119ed6eaa6a515d940a
+EBUILD plocate-1.1.12.ebuild 2082 BLAKE2B be1b2f92a10046afec88779b936c1a859fd5d3f5555e72b992643f665b719809032fb6d391abedf769fcdd5a600adc0daf0b6714bf561efc85fc67106848ce85 SHA512 f230b493de88e8acf4bba3c1c46a10253688d7a6ae9a88c15045b8ff0083238737714872cb67376ca61d03f91465e69ad147b80de806f119ed6eaa6a515d940a
EBUILD plocate-1.1.8.ebuild 2063 BLAKE2B 35011f66c0957b50861f4a8e4c658ac6457e1d64bc3171713dd7627fcb358a6dd55d9d270966cfaf928bd007d5897e1c0fffa639d00065d2de06450a57dce0b4 SHA512 24b7f3f25aceba3661c38b60a76d6e4229d8bc57c1ce45e00461bd4f264d43bab8432a592ca9abb0b662bad77e0c8072c6243164f0f395a07abda602b8de3d1d
MISC metadata.xml 1393 BLAKE2B 1459e2cc800bad910a9e08a1fd0d6b6a533d3420279a4a89d5c07d91775180669684d5b454962323acb5ecc1d96de650f48623a9f63319004ad25bea7b4ded97 SHA512 16e282b1d1bc1f71631bbde3ca935c1e0747175460860ef068e6855a9efa3d843841e0b9deaa0848a2f4fbff32aa630f0b93c398b196c6619a61f59263ee8e31
diff --git a/sys-apps/plocate/plocate-1.1.12.ebuild b/sys-apps/plocate/plocate-1.1.12.ebuild
new file mode 100644
index 000000000000..b7c6c2e00ec2
--- /dev/null
+++ b/sys-apps/plocate/plocate-1.1.12.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info meson systemd
+
+DESCRIPTION="Posting locate is a much faster locate"
+HOMEPAGE="https://plocate.sesse.net/"
+SRC_URI="https://plocate.sesse.net/download/${P}.tar.gz"
+
+# GPL-2 for updatedb
+# GPL-2+ for plocate itself
+LICENSE="GPL-2 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="+io-uring"
+
+RDEPEND="
+ acct-group/locate
+ app-arch/zstd:=
+ io-uring? ( sys-libs/liburing:= )
+ !sys-apps/mlocate
+"
+DEPEND="${RDEPEND}"
+
+CONFIG_CHECK="~IO_URING"
+ERROR_IO_URING="required for USE=io-uring"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.10-meson-use-feature-option-for-libiouring.patch
+)
+
+src_prepare() {
+ # We'll install the manpage ourself to locate.1
+ sed -i "/install_man('plocate.1')/d" meson.build || die
+
+ default
+}
+
+src_configure() {
+ local emesonargs=(
+ -Dlocategroup=locate
+ -Dinstall_systemd=true
+ -Dinstall_cron=false
+ -Dsystemunitdir="$(systemd_get_systemunitdir)"
+ "$(meson_feature io-uring use_libiouring)"
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+ dodoc README NEWS
+ newman "${S}"/${PN}.1 locate.1
+ dosym plocate /usr/bin/locate
+
+ insinto /etc
+ doins "${FILESDIR}"/updatedb.conf
+ doins "${FILESDIR}"/plocate-cron.conf
+ fperms 0644 /etc/{updatedb,plocate-cron}.conf
+
+ insinto /etc/cron.daily
+ # Ensure that the cron file has the same name as the
+ # systemd-timer, to avoid plocate being run twice daily on systems
+ # with a systemd compatiblity layer. See also bug #780351.
+ newins "${FILESDIR}"/plocate.cron plocate-updatedb
+ fperms 0755 /etc/cron.daily/plocate-updatedb
+
+ systemd_dounit "${BUILD_DIR}"/${PN}-updatedb.service "${S}"/${PN}-updatedb.timer
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]] ; then
+ elog "The database for the locate command is generated daily by a cron job,"
+ elog "if you install for the first time you can run the updatedb command manually now."
+ elog
+ elog "Note that the ${EROOT}/etc/updatedb.conf file is generic,"
+ elog "please customize it to your system requirements."
+ fi
+}
diff --git a/sys-apps/rkflashtool/Manifest b/sys-apps/rkflashtool/Manifest
index 368433ffe090..326dcad9b22b 100644
--- a/sys-apps/rkflashtool/Manifest
+++ b/sys-apps/rkflashtool/Manifest
@@ -1,4 +1,4 @@
AUX rkflashtool-6.1-missing-version.h 149 BLAKE2B 044dcc4db5b5262208ca68013c20dc783d91f5fb80d78fbf8ec97f6ca2b3b1e32049cf3e3559448b92d06d87dcf47735295769c53b1f199430ead67170cba8d7 SHA512 796cf5691b7594d1a88d7f685f880b6f56955251b6203f7493170929d3c2b0161aa92cd9ec638a01825c1dbbcdbe6dd217bf8640287074cd33978fe49d66e810
DIST rkflashtool-6.1-src.tar.xz 13924 BLAKE2B 278ea18fc046fad68e9b31c477132559855fc3b3aae27f2ee3444819362289266eb73cdea30a4c71b3eeeaa7454c4c5a8fc9716772dd68150f4ff88a49fe1c08 SHA512 d7054e61a706ed3e51539556a1441f64cb20a2dafa6f625df384cec9296bdee30714a1c98cfd69d2a656e370387a2bdb86c258fe6b1216bd9c57831ed3de8ea7
-EBUILD rkflashtool-6.1.ebuild 755 BLAKE2B 2879b10af6818545f270e7a0b277228b2c2fc81a618ab089d0fa2ed2757fb3abe6e7286333834abc664f6c2f2768d6aba2c2bccb6ca2b219ea4ecd74567b7c3d SHA512 22f567ff8ea7b6a68c61a74e2cd11a43cfbcf6d5cb01a85800fdbeaf1578fec3c3064308acb7f554c858aff787f3e62300b1fe21f96ea8803bcca9e2f64db612
+EBUILD rkflashtool-6.1.ebuild 757 BLAKE2B 3934979be923e84c7c373ff826ebcb45c673dc9d27b09623f33d5333ecb22eba87102deb99ca842b7b789f0a3ed43fd288e48f8f405e1cd3a83be14d20242f28 SHA512 6c856f89e9e02e54f00c08d1ffce3c4027051cda87b0c3725658c78b12254053a5db1e646393867b93ec50df21c6a85eae903c7b6687dc2abe34972790f25bab
MISC metadata.xml 249 BLAKE2B 59b2db7ac225a74666c228e72cf5c221bf0bd5cf16236a1450c55ceb48b312688f602a8e8864bdafcc40e476b19844f7cce679db8114cebac98cb268f888568b SHA512 8b4ecdd7a986c85ede06cb07ca5b3510b5599aeb7182e3187cfbff802a1b83b3a2a6aabaf811fb950cc0e8056132282b9907710453a2ebce41a9f5ab3d3db9f6
diff --git a/sys-apps/rkflashtool/rkflashtool-6.1.ebuild b/sys-apps/rkflashtool/rkflashtool-6.1.ebuild
index d4b936000f91..427682fdae4d 100644
--- a/sys-apps/rkflashtool/rkflashtool-6.1.ebuild
+++ b/sys-apps/rkflashtool/rkflashtool-6.1.ebuild
@@ -1,25 +1,24 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=5
+EAPI=8
inherit toolchain-funcs
DESCRIPTION="Tool for flashing Rockchip devices"
HOMEPAGE="https://sourceforge.net/projects/rkflashtool/"
SRC_URI="mirror://sourceforge/project/${PN}/${P}/${P}-src.tar.xz"
+S="${WORKDIR}/${P}-src"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64"
-IUSE=""
-
-S=${WORKDIR}/${P}-src
RDEPEND="virtual/libusb:1"
DEPEND="${RDEPEND}"
src_prepare() {
+ default
cp "${FILESDIR}"/${P}-missing-version.h version.h || die
sed -i -e "s/CC =/CC ?=/"\
-e "s/CFLAGS =/CFLAGS ?=/"\
diff --git a/sys-apps/sandbox/Manifest b/sys-apps/sandbox/Manifest
index 950fee7043ab..2d8b6bd2ff16 100644
--- a/sys-apps/sandbox/Manifest
+++ b/sys-apps/sandbox/Manifest
@@ -1,6 +1,10 @@
AUX 09sandbox 37 BLAKE2B 181213e2cc0bcfa328310cced40bfaba4530d8d2f80e892cb5649d5277c5d59d345ce96ca802a5529a22892c929bafac04c616458fa147a3bee5c89d31b0baf1 SHA512 4e8a9c58debde6480224a45559c5f2db4765213d151e47937f9142f110cac3681bf6402acaf21249a37bb17398e7bc00ae7feee68ecdb5b9363c432eac1b052a
DIST sandbox-2.24.tar.xz 438408 BLAKE2B 5e725d17da0abc06d56216f4df2f4034076f50163db1c3bbddbf4fd07dbd5b7d92ef2f1b2c01eb77ff6cf531c5cc6a05e60b028f585310ac56eef96240882843 SHA512 8df5414e334a15f367acfd218ba1b74ba618b93d7bdeca8a039b69cbd81ab048ec5a6cecb24df09fa9a5f4fe214d647acf5138004defd45e6396eec5ae7c93d0
DIST sandbox-2.25.tar.xz 436004 BLAKE2B c9c7d351cdefbb2b1a585904c38742a5a3bde50d3d690c57cff9cdc71ffb822e78a2b56c47afd03fbc70834de5dda13c5a300d9d6b35e09ec400a050d4f8e82c SHA512 4e998c4d9ba6eb69369cc49849060a2e90535eae91fbb64c4d46371fe0ed5182413b14674f10c773fd997b6895bc870ccb23586351f5bb06b69dc11a0cddbe1d
+DIST sandbox-2.26.tar.xz 444412 BLAKE2B 3bc88d86ba4e2522895c4448dff6da2cffceb912e5ff9610fe4c3aea255ffd9b9ca9bbe8e45d94508f45e9c141aa6945a9a8d82cba0f3ca102ff6a1624c84161 SHA512 f20766daf2ce43753772a184c86a7b6847f96ab7b60b202616e15d791bc1f770162035a9b1ffe38765dff8d2567ad971a9a2bdeba9a8769845a758fcd95206fa
+DIST sandbox-2.27.tar.xz 448948 BLAKE2B 03a311c8c7c8719bac398e39ce49e7149bdaa1d5b2811f395eb2251a32aabba995f97c3d5d27461aadb64bf43adf2b0cbaa7c2f141dd86f64f8dd326422ac104 SHA512 2a53e6fc87cec975962737b1fadc447d86985d27b18ad2caed711116da2ba435f54db0f7dadb02664b2638b9dc77752831cd4820390f5c3e61a42429e13462a7
EBUILD sandbox-2.24.ebuild 1617 BLAKE2B 5bb22638ea5e5735242e538cb8e0e2598a38237001162fa0cd4d4c3dba6ddb7b9d4607b04ab20b00cb2e7b17c7a759808117d6c0c521a7ba6843fb42e29d1ab2 SHA512 845b5ae83d2c12dc7101d01b76af6693ae888237eda43d2207ef4a1fd3c121d79c554cbb1e7395365867cb96b6a27bbae1c26ff79c301ed00e536acef396dae9
-EBUILD sandbox-2.25.ebuild 1623 BLAKE2B 89f1946e8c8984c422bd4837eae4e20e0878496fc2b9dda84e5a53fd3db1d199f449967ed0af3156e26b8d8dedbc38c99db92e57eb2cf928b63da7fff2827e27 SHA512 40ddf4bf456b789e8d45997659057a0247dca25a6f7874860ca63e839cd915c819c2d0faae7e5facd7361dfe76e5e49c391b9f96d8b32967358c5d11f25aa9b5
-MISC metadata.xml 253 BLAKE2B 67da03c96f16f23fc1bbed2f09b3ace7f1309ae149005999bf271479a6d142783d69d44aff75f4a7169f20f5bd1f0f605bcda292953a15454896a56c7ba9e7cf SHA512 3148011cc25751dc4d0e6c077963880e10cd49f79b5d9778f31c73f161d958e2dce687dea8dd84e2b5a7762b00d3ff843b1fbc8b1827379ccbd4e3fac8eefcc3
+EBUILD sandbox-2.25.ebuild 1615 BLAKE2B b42f819adc73df7f3c7b0f2654eeaa41f23840763c3fe5abe64ba147b20cf74f1df7411a1309d2581b4264a9a5152eda6386551acadfc04125d31251557c10b6 SHA512 df4789dff85f482c7e9750d8581d2b74686bef82a5b4dd15d1a4b7923f7a2541f68afa5e5b5c091ccdab8234eba2708110401bad527c99e25e236dd8921e8abd
+EBUILD sandbox-2.26.ebuild 1544 BLAKE2B 379c4679d0c7c98aa3cbe454f8d3bc3a147b5879aea7e004528a1d0616fb8ec38a4f08dceef9123cbd7b763ab1ea3dde0b6845ae61b053e59cc9f3887e608560 SHA512 2cbfe0f5d0398b684034a67031f9d3ac0f14d3a8b2f6c8615413d5dc73774da7ce2b7995b9d1f10f9a16686b59e4c4e4b83d9590bc63d85a75e8e2eac16eab4a
+EBUILD sandbox-2.27.ebuild 1649 BLAKE2B 64bd35d61dbbd9084a9459ed3a67b9049b0c84ffb94fc76978919f060da0e79625cb94fe1cb3b6a6c246dd9ebab0363c261ab8461f7348f15828cf0252309eee SHA512 6fc2fa2b81f247da62ce318a34d37aabef92e9df7114c7a2c830477ab51daeb4abcaab4c0c2db9476d84624656e488fb201af77b7c4eaafa981c7e099718b46a
+MISC metadata.xml 377 BLAKE2B fcbc91501a4a61bfa3c3cc01b0746f5f638093933cf8a9ba1e6206071cb0482c9ba18c5c10541d934327cf805ee0e40c010b3f25a221ab63fefa2fd9f39da0d7 SHA512 92aa26a3200dd1508fb86da0e0bc70be66ccbcf66593ee6833102c9961ac17c8a99c5b070a2cd2e79dba8e5daa0316cdb6744baa3fbd9342953fcc00b1277d35
diff --git a/sys-apps/sandbox/metadata.xml b/sys-apps/sandbox/metadata.xml
index e270f4674f61..11e084f7c9b9 100644
--- a/sys-apps/sandbox/metadata.xml
+++ b/sys-apps/sandbox/metadata.xml
@@ -5,4 +5,7 @@
<email>sandbox@gentoo.org</email>
<name>Sandbox Maintainers</name>
</maintainer>
+<use>
+ <flag name="nnp">Enable NO_NEW_PRIVS which blocks set*id programs from gaining privileges (e.g. sudo)</flag>
+</use>
</pkgmetadata>
diff --git a/sys-apps/sandbox/sandbox-2.25.ebuild b/sys-apps/sandbox/sandbox-2.25.ebuild
index d35f5327d29f..70179abd1b9f 100644
--- a/sys-apps/sandbox/sandbox-2.25.ebuild
+++ b/sys-apps/sandbox/sandbox-2.25.ebuild
@@ -11,7 +11,7 @@ SRC_URI="https://dev.gentoo.org/~mgorny/dist/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE=""
DEPEND="app-arch/xz-utils
diff --git a/sys-apps/sandbox/sandbox-2.26.ebuild b/sys-apps/sandbox/sandbox-2.26.ebuild
new file mode 100644
index 000000000000..5203f1537c28
--- /dev/null
+++ b/sys-apps/sandbox/sandbox-2.26.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit flag-o-matic multilib-minimal multiprocessing
+
+DESCRIPTION="sandbox'd LD_PRELOAD hack"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Sandbox"
+SRC_URI="https://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE=""
+
+DEPEND="app-arch/xz-utils
+ >=app-misc/pax-utils-0.1.19" #265376
+RDEPEND=""
+
+has sandbox_death_notice ${EBUILD_DEATH_HOOKS} || EBUILD_DEATH_HOOKS+=" sandbox_death_notice"
+
+sandbox_death_notice() {
+ ewarn "If configure failed with a 'cannot run C compiled programs' error, try this:"
+ ewarn "FEATURES='-sandbox -usersandbox' emerge sandbox"
+}
+
+src_prepare() {
+ default
+
+ # sandbox uses `__asm__ (".symver "...` which does
+ # not play well with gcc's LTO: https://gcc.gnu.org/PR48200
+ append-flags -fno-lto
+ append-ldflags -fno-lto
+}
+
+multilib_src_configure() {
+ filter-lfs-flags #90228
+
+ ECONF_SOURCE="${S}" econf
+}
+
+multilib_src_test() {
+ # Default sandbox build will run with --jobs set to # cpus.
+ # -j1 to prevent test faiures caused by file descriptor
+ # injection GNU make does.
+ emake -j1 check TESTSUITEFLAGS="--jobs=$(makeopts_jobs)"
+}
+
+multilib_src_install_all() {
+ doenvd "${FILESDIR}"/09sandbox
+
+ dodoc AUTHORS ChangeLog* README.md
+}
+
+pkg_postinst() {
+ mkdir -p "${EROOT}"/var/log/sandbox
+ chown root:portage "${EROOT}"/var/log/sandbox
+ chmod 0770 "${EROOT}"/var/log/sandbox
+}
diff --git a/sys-apps/sandbox/sandbox-2.27.ebuild b/sys-apps/sandbox/sandbox-2.27.ebuild
new file mode 100644
index 000000000000..ed70783105b7
--- /dev/null
+++ b/sys-apps/sandbox/sandbox-2.27.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit flag-o-matic multilib-minimal multiprocessing
+
+DESCRIPTION="sandbox'd LD_PRELOAD hack"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Project:Sandbox"
+SRC_URI="https://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+nnp"
+
+DEPEND="app-arch/xz-utils
+ >=app-misc/pax-utils-0.1.19" #265376
+RDEPEND=""
+
+has sandbox_death_notice ${EBUILD_DEATH_HOOKS} || EBUILD_DEATH_HOOKS+=" sandbox_death_notice"
+
+sandbox_death_notice() {
+ ewarn "If configure failed with a 'cannot run C compiled programs' error, try this:"
+ ewarn "FEATURES='-sandbox -usersandbox' emerge sandbox"
+}
+
+src_prepare() {
+ default
+
+ if ! use nnp ; then
+ sed -i 's:PR_SET_NO_NEW_PRIVS:___disable_nnp_hack:' src/sandbox.c || die
+ fi
+
+ # sandbox uses `__asm__ (".symver "...` which does
+ # not play well with gcc's LTO: https://gcc.gnu.org/PR48200
+ append-flags -fno-lto
+ append-ldflags -fno-lto
+}
+
+multilib_src_configure() {
+ filter-lfs-flags #90228
+
+ ECONF_SOURCE="${S}" econf
+}
+
+multilib_src_test() {
+ # Default sandbox build will run with --jobs set to # cpus.
+ # -j1 to prevent test faiures caused by file descriptor
+ # injection GNU make does.
+ emake -j1 check TESTSUITEFLAGS="--jobs=$(makeopts_jobs)"
+}
+
+multilib_src_install_all() {
+ doenvd "${FILESDIR}"/09sandbox
+
+ dodoc AUTHORS ChangeLog* README.md
+}
+
+pkg_postinst() {
+ mkdir -p "${EROOT}"/var/log/sandbox
+ chown root:portage "${EROOT}"/var/log/sandbox
+ chmod 0770 "${EROOT}"/var/log/sandbox
+}
diff --git a/sys-apps/shadow/Manifest b/sys-apps/shadow/Manifest
index 253284de47f6..62b41cca6ec0 100644
--- a/sys-apps/shadow/Manifest
+++ b/sys-apps/shadow/Manifest
@@ -11,5 +11,5 @@ AUX shadow-4.9-libsubid_pam_linking.patch 706 BLAKE2B 8d9b3f6ab2aea004275e634756
DIST shadow-4.8.1.tar.xz 1611196 BLAKE2B 952707cdd55dc6c00dcbc60dbc3bf84ac618dbe916b36d993802b3ce42594de332a9bc22933a28881af3d317a340eab017ada55511b4e4fbc3ca6b422c4bc254 SHA512 780a983483d847ed3c91c82064a0fa902b6f4185225978241bc3bc03fcc3aa143975b46aee43151c6ba43efcfdb1819516b76ba7ad3d1d3c34fcc38ea42e917b
DIST shadow-4.9.tar.xz 1627008 BLAKE2B 7a9a6a489115c7a20520cfec61f008fc0f70f7f50aaf539e94dfdcb20035d2de88ab3198e76812a4e3eb944b92c76c0ca2e85e35f4342537711c2c033248a72b SHA512 254cda49bb14505a7604821e7fa898bf4bf317d648e9ddc881ab80a6860d52053dfffacad6feab87c7d16608c35ed6b6cee99e7757eac930da3a7b31cdcd4b95
EBUILD shadow-4.8.1-r4.ebuild 6134 BLAKE2B a3effe54f52408bfee5ed17134a58806e005aab38391d4ff78888e3ae18c86f0d76dd946c2494bc92901e8400e7b98db0e4045f004a8880cb6c437acff28d560 SHA512 2e7375dd6c94bdc85eabfe8cb65d0c7df4bb1bc9b2aff418824046a8af80493f3a481476f63bdc91abca4aefcc61105b2aa6c551e8b260b8da1db2d0587b56fb
-EBUILD shadow-4.9-r2.ebuild 6376 BLAKE2B 303d6ebc6376c916a28e02d09bdd1885c9a0276f932605f5ce09641715ef728e3233057943d1e6b42274046fc989277b830de9fffa480a8ae8cf357b915e3268 SHA512 595719e798a1970388d5fed40cf201c6b2516a81df77e5f6a2a1fb9e296d0c24fef4560ce4ec3b40cbc00bb43d8deaec1a21ad2c3c9ed862507dc3566ba57422
+EBUILD shadow-4.9-r3.ebuild 6113 BLAKE2B 4abd77ea93ff627286ab8b227d9a68634250617316db163a59ca5cf321cb9d2e37f8ceaf8ca6be505b8bade18b665ac27a93756a4b795e4c489f5854d70647c1 SHA512 8e542f1ecb7c7bd043722bb69b512d55959dccedf903003817f0e4125c9cfedc47b3e54beec4927c1c94e3c9a7df18703ee466f0f3ca5c40bd7b6e32641ed5dd
MISC metadata.xml 563 BLAKE2B c798cc562a973cf521347a9245dec0b6622144d0ea1d3a1cfb82aa9fc44bf9b3c26cf5f6a265a02399e1decfa7cf1db87df7d7eed7bb1a7ead74d2f156688ecd SHA512 024b490bd1197bebd41e53c74aa7ef72e0f46b5db88484d357b69a5f9acb14e790a2706e39fc83666c6cdfcee610571401c7288310775eb5341dbef3f1160c1a
diff --git a/sys-apps/shadow/shadow-4.9-r2.ebuild b/sys-apps/shadow/shadow-4.9-r3.ebuild
index 83d66dc0f81d..8c120ddc8945 100644
--- a/sys-apps/shadow/shadow-4.9-r2.ebuild
+++ b/sys-apps/shadow/shadow-4.9-r3.ebuild
@@ -119,12 +119,7 @@ src_install() {
# 4.9 regression: https://github.com/shadow-maint/shadow/issues/389
emake DESTDIR="${D}" -C man install
- # Remove libshadow and libmisc; see bug 37725 and the following
- # comment from shadow's README.linux:
- # Currently, libshadow.a is for internal use only, so if you see
- # -lshadow in a Makefile of some other package, it is safe to
- # remove it.
- rm -f "${ED}"/{,usr/}$(get_libdir)/lib{misc,shadow}.{a,la}
+ find "${ED}" -name '*.la' -type f -delete || die
insinto /etc
if ! use pam ; then
diff --git a/sys-apps/systemd/Manifest b/sys-apps/systemd/Manifest
index b7bd541d2db1..1f78ef3a9d9c 100644
--- a/sys-apps/systemd/Manifest
+++ b/sys-apps/systemd/Manifest
@@ -8,6 +8,8 @@ AUX gentoo-systemctl-disable-sysv-sync-r1.patch 821 BLAKE2B f5ef796725e023bb1ed8
AUX nsswitch.conf 734 BLAKE2B 5f5a7821a84f6c8aa31fe9a68c29a1a0f24be578d427a623f14a9ef795e7da481f226efe5511d92932b5edf5638fa719808a0c3a0b8fd340799dd6bcb703a0a1 SHA512 dcbd51dacaaebdff32edb3840cc7b9b47b6521009b8786690e3673a2e78bc60bfd8e591b1048c5d452117c6659b9917ae2864462f5057cc39b704b0130522e60
AUX systemd-user.pam 122 BLAKE2B cccc07cab47dfc0481438e503c34fa1a0b2c6b1f8ab282197719a523421d2a526f19230bb459e0347cbeb2046e35a407c78178a3fb5b79619e987cbc4ac7d5e4 SHA512 c5437677ff00fbb45798fe594e8d61b1c2bfc2d103105d7bd82e476240452477ac263700800f5d0ba91ddc895eb85f4517d5cb15c80611ec1680a686d47cd781
DIST systemd-stable-249.4.tar.gz 10593723 BLAKE2B 466b3cb27c4bc6c85c9ba50f6614175b2c31a4c177d452542faa1395e99511440029b1a093dc80a5a1a0135eed09d8b1849572f36dba4e18a1396230bfc31adb SHA512 5b9ec28102538bc3dcb632ee16389ff20dccf4b723186f6ae2da119a1809d84db0d8bcecf9b75c5e2da8427f5543e1da281bbed1a154e529d8a82ea5128c465c
+DIST systemd-stable-249.5.tar.gz 10597897 BLAKE2B 5c573322ef9bcd9d019776d6e2d8625a741c1535c0d06661b5666c2438a70cfc4dc182919bb419829de27a4d93c16717ce24e668faf9bd6b09e57f8bd88be725 SHA512 d6f1a5a6f03f0ed05b111aee75da509c5868c523af6209f33e630724dd0c7e0d0abf16920795d587e6c31a5915d247ebc613cf26d4aecf39f82ebb0690fab75f
EBUILD systemd-249.4-r4.ebuild 15099 BLAKE2B 7076124a49b1beeb8153cbca7868a1e828cb0ae9b2c0e5e3fa60db5473f2f1d3870a7010d5b9dda71acb81d98cff970758595d32b2944761c4f59dcd7f65463f SHA512 e4be3bdf1c30aa36b02ffcda10502371543bc616988ad8cd558651f01efc55a813532af9ad42590e13831be8025f674af273e0001fe670929b9442319c812bf2
+EBUILD systemd-249.5.ebuild 14986 BLAKE2B f449215d90ae654128e3edd56c9a3700f67e1d8dbefe5bd612f798cf5ff888f9d352eb6aced28d43d467a98b5792728711a10b7d338a0870dced64f2c6a43ea5 SHA512 b9a690c180363da66f4ce92904a1cfcbc1c918f5657c21dca76d0452c212674f658c64b1ebe493bacc159e452b609ef401aac12fa6145db1c22620bd95cc238b
EBUILD systemd-9999.ebuild 14945 BLAKE2B b427e2f0c2fc28fe9d67432426dbcc2aa83893aae17c9cdf3ca25dfebb0b3e8ef194ab6964bdc8d7a71afb8f0b6e509ad15579889dd8d8c9c9fc4ff7a8df3d01 SHA512 16aac9a616c40e08414f71a704f3866ef98d830fb0751fc503e719e184b42334b5a4f43a940034f48372ccbbecff4218886c2d4ec26d636e63e1fc8f46081c5a
MISC metadata.xml 2468 BLAKE2B 62d58ff16df9bc0ea157279e4fe750cff42d02bc61a8d545671adf01da4de5359184a3247c2423b49fd9a104efdbdc879fe5a4e46f5ddc5810d6046cf8896473 SHA512 99408e7635e3deb8ceb2c58a56632d0ee1947865729b56eca9ce6626e61ef201c5b42e9d4baf6784bd6021380f8d592b01be00ea488ce475310be63c3501407c
diff --git a/sys-apps/systemd/systemd-249.5.ebuild b/sys-apps/systemd/systemd-249.5.ebuild
new file mode 100644
index 000000000000..03f729a43a83
--- /dev/null
+++ b/sys-apps/systemd/systemd-249.5.ebuild
@@ -0,0 +1,515 @@
+# Copyright 2011-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{8..10} )
+
+# Avoid QA warnings
+TMPFILES_OPTIONAL=1
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://github.com/systemd/systemd.git"
+ inherit git-r3
+else
+ if [[ ${PV} == *.* ]]; then
+ MY_PN=systemd-stable
+ else
+ MY_PN=systemd
+ fi
+ MY_PV=${PV/_/-}
+ MY_P=${MY_PN}-${MY_PV}
+ S=${WORKDIR}/${MY_P}
+ SRC_URI="https://github.com/systemd/${MY_PN}/archive/v${MY_PV}/${MY_P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+inherit bash-completion-r1 linux-info meson-multilib pam python-any-r1 systemd toolchain-funcs udev usr-ldscript
+
+DESCRIPTION="System and service manager for Linux"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/systemd"
+
+LICENSE="GPL-2 LGPL-2.1 MIT public-domain"
+SLOT="0/2"
+IUSE="acl apparmor audit build cgroup-hybrid cryptsetup curl dns-over-tls elfutils fido2 +gcrypt gnuefi homed http +hwdb idn importd +kmod +lz4 lzma nat pam pcre pkcs11 policykit pwquality qrcode repart +resolvconf +seccomp selinux split-usr +sysv-utils test tpm vanilla xkb +zstd"
+
+REQUIRED_USE="
+ homed? ( cryptsetup pam )
+ importd? ( curl gcrypt lzma )
+ pwquality? ( homed )
+"
+RESTRICT="!test? ( test )"
+
+MINKV="3.11"
+
+OPENSSL_DEP=">=dev-libs/openssl-1.1.0:0="
+
+COMMON_DEPEND=">=sys-apps/util-linux-2.30:0=[${MULTILIB_USEDEP}]
+ sys-libs/libcap:0=[${MULTILIB_USEDEP}]
+ virtual/libcrypt:=[${MULTILIB_USEDEP}]
+ acl? ( sys-apps/acl:0= )
+ apparmor? ( sys-libs/libapparmor:0= )
+ audit? ( >=sys-process/audit-2:0= )
+ cryptsetup? ( >=sys-fs/cryptsetup-2.0.1:0= )
+ curl? ( net-misc/curl:0= )
+ dns-over-tls? ( >=net-libs/gnutls-3.6.0:0= )
+ elfutils? ( >=dev-libs/elfutils-0.158:0= )
+ fido2? ( dev-libs/libfido2:0= )
+ gcrypt? ( >=dev-libs/libgcrypt-1.4.5:0=[${MULTILIB_USEDEP}] )
+ homed? ( ${OPENSSL_DEP} )
+ http? (
+ >=net-libs/libmicrohttpd-0.9.33:0=[epoll(+)]
+ >=net-libs/gnutls-3.1.4:0=
+ )
+ idn? ( net-dns/libidn2:= )
+ importd? (
+ app-arch/bzip2:0=
+ sys-libs/zlib:0=
+ )
+ kmod? ( >=sys-apps/kmod-15:0= )
+ lz4? ( >=app-arch/lz4-0_p131:0=[${MULTILIB_USEDEP}] )
+ lzma? ( >=app-arch/xz-utils-5.0.5-r1:0=[${MULTILIB_USEDEP}] )
+ nat? ( net-firewall/iptables:0= )
+ pam? ( sys-libs/pam:=[${MULTILIB_USEDEP}] )
+ pkcs11? ( app-crypt/p11-kit:0= )
+ pcre? ( dev-libs/libpcre2 )
+ pwquality? ( dev-libs/libpwquality:0= )
+ qrcode? ( media-gfx/qrencode:0= )
+ repart? ( ${OPENSSL_DEP} )
+ seccomp? ( >=sys-libs/libseccomp-2.3.3:0= )
+ selinux? ( sys-libs/libselinux:0= )
+ tpm? ( app-crypt/tpm2-tss:0= )
+ xkb? ( >=x11-libs/libxkbcommon-0.4.1:0= )
+ zstd? ( >=app-arch/zstd-1.4.0:0=[${MULTILIB_USEDEP}] )
+"
+
+# Newer linux-headers needed by ia64, bug #480218
+DEPEND="${COMMON_DEPEND}
+ >=sys-kernel/linux-headers-${MINKV}
+ gnuefi? ( >=sys-boot/gnu-efi-3.0.2 )
+"
+
+# baselayout-2.2 has /run
+RDEPEND="${COMMON_DEPEND}
+ >=acct-group/adm-0-r1
+ >=acct-group/wheel-0-r1
+ >=acct-group/kmem-0-r1
+ >=acct-group/tty-0-r1
+ >=acct-group/utmp-0-r1
+ >=acct-group/audio-0-r1
+ >=acct-group/cdrom-0-r1
+ >=acct-group/dialout-0-r1
+ >=acct-group/disk-0-r1
+ >=acct-group/input-0-r1
+ >=acct-group/kvm-0-r1
+ >=acct-group/lp-0-r1
+ >=acct-group/render-0-r1
+ acct-group/sgx
+ >=acct-group/tape-0-r1
+ acct-group/users
+ >=acct-group/video-0-r1
+ >=acct-group/systemd-journal-0-r1
+ >=acct-user/root-0-r1
+ acct-user/nobody
+ >=acct-user/systemd-journal-remote-0-r1
+ >=acct-user/systemd-coredump-0-r1
+ >=acct-user/systemd-network-0-r1
+ acct-user/systemd-oom
+ >=acct-user/systemd-resolve-0-r1
+ >=acct-user/systemd-timesync-0-r1
+ >=sys-apps/baselayout-2.2
+ selinux? ( sec-policy/selinux-base-policy[systemd] )
+ sysv-utils? (
+ !sys-apps/openrc[sysv-utils(-)]
+ !sys-apps/sysvinit
+ )
+ !sysv-utils? ( sys-apps/sysvinit )
+ resolvconf? ( !net-dns/openresolv )
+ !build? ( || (
+ sys-apps/util-linux[kill(-)]
+ sys-process/procps[kill(+)]
+ sys-apps/coreutils[kill(-)]
+ ) )
+ !sys-auth/nss-myhostname
+ !sys-fs/eudev
+ !sys-fs/udev
+"
+
+# sys-apps/dbus: the daemon only (+ build-time lib dep for tests)
+PDEPEND=">=sys-apps/dbus-1.9.8[systemd]
+ hwdb? ( sys-apps/hwids[systemd(+),udev] )
+ >=sys-fs/udev-init-scripts-34
+ policykit? ( sys-auth/polkit )
+ !vanilla? ( sys-apps/gentoo-systemd-integration )"
+
+BDEPEND="
+ app-arch/xz-utils:0
+ dev-util/gperf
+ >=dev-util/meson-0.46
+ >=sys-apps/coreutils-8.16
+ sys-devel/gettext
+ virtual/pkgconfig
+ test? (
+ app-text/tree
+ dev-lang/perl
+ sys-apps/dbus
+ )
+ app-text/docbook-xml-dtd:4.2
+ app-text/docbook-xml-dtd:4.5
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt:0
+ $(python_gen_any_dep 'dev-python/jinja[${PYTHON_USEDEP}]')
+ $(python_gen_any_dep 'dev-python/lxml[${PYTHON_USEDEP}]')
+"
+
+python_check_deps() {
+ has_version -b "dev-python/jinja[${PYTHON_USEDEP}]" &&
+ has_version -b "dev-python/lxml[${PYTHON_USEDEP}]"
+}
+
+QA_FLAGS_IGNORED="usr/lib/systemd/boot/efi/.*"
+QA_EXECSTACK="usr/lib/systemd/boot/efi/*"
+
+pkg_pretend() {
+ if [[ ${MERGE_TYPE} != buildonly ]]; then
+ if use test && has pid-sandbox ${FEATURES}; then
+ ewarn "Tests are known to fail with PID sandboxing enabled."
+ ewarn "See https://bugs.gentoo.org/674458."
+ fi
+
+ local CONFIG_CHECK="~AUTOFS4_FS ~BLK_DEV_BSG ~CGROUPS
+ ~KCMP ~DEVTMPFS ~EPOLL ~FANOTIFY ~FHANDLE
+ ~INOTIFY_USER ~IPV6 ~NET ~NET_NS ~PROC_FS ~SIGNALFD ~SYSFS
+ ~TIMERFD ~TMPFS_XATTR ~UNIX ~USER_NS
+ ~CRYPTO_HMAC ~CRYPTO_SHA256 ~CRYPTO_USER_API_HASH
+ ~!GRKERNSEC_PROC ~!IDE ~!SYSFS_DEPRECATED
+ ~!SYSFS_DEPRECATED_V2"
+
+ use acl && CONFIG_CHECK+=" ~TMPFS_POSIX_ACL"
+ use seccomp && CONFIG_CHECK+=" ~SECCOMP ~SECCOMP_FILTER"
+ kernel_is -lt 3 7 && CONFIG_CHECK+=" ~HOTPLUG"
+ kernel_is -lt 4 7 && CONFIG_CHECK+=" ~DEVPTS_MULTIPLE_INSTANCES"
+ kernel_is -ge 4 10 && CONFIG_CHECK+=" ~CGROUP_BPF"
+
+ if linux_config_exists; then
+ local uevent_helper_path=$(linux_chkconfig_string UEVENT_HELPER_PATH)
+ if [[ -n ${uevent_helper_path} ]] && [[ ${uevent_helper_path} != '""' ]]; then
+ ewarn "It's recommended to set an empty value to the following kernel config option:"
+ ewarn "CONFIG_UEVENT_HELPER_PATH=${uevent_helper_path}"
+ fi
+ if linux_chkconfig_present X86; then
+ CONFIG_CHECK+=" ~DMIID"
+ fi
+ fi
+
+ if kernel_is -lt ${MINKV//./ }; then
+ ewarn "Kernel version at least ${MINKV} required"
+ fi
+
+ check_extra_config
+ fi
+}
+
+pkg_setup() {
+ :
+}
+
+src_unpack() {
+ default
+ [[ ${PV} != 9999 ]] || git-r3_src_unpack
+}
+
+src_prepare() {
+ # Do NOT add patches here
+ local PATCHES=()
+
+ [[ -d "${WORKDIR}"/patches ]] && PATCHES+=( "${WORKDIR}"/patches )
+
+ # Add local patches here
+ PATCHES+=(
+ "${FILESDIR}/249-libudev-static.patch"
+ )
+
+ if ! use vanilla; then
+ PATCHES+=(
+ "${FILESDIR}/gentoo-generator-path-r2.patch"
+ "${FILESDIR}/gentoo-systemctl-disable-sysv-sync-r1.patch"
+ "${FILESDIR}/gentoo-journald-audit.patch"
+ )
+ fi
+
+ default
+}
+
+src_configure() {
+ # Prevent conflicts with i686 cross toolchain, bug 559726
+ tc-export AR CC NM OBJCOPY RANLIB
+
+ python_setup
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ local myconf=(
+ --localstatedir="${EPREFIX}/var"
+ -Dsupport-url="https://gentoo.org/support/"
+ -Dpamlibdir="$(getpam_mod_dir)"
+ # avoid bash-completion dep
+ -Dbashcompletiondir="$(get_bashcompdir)"
+ # make sure we get /bin:/sbin in PATH
+ $(meson_use split-usr)
+ -Dsplit-bin=true
+ -Drootprefix="$(usex split-usr "${EPREFIX:-/}" "${EPREFIX}/usr")"
+ -Drootlibdir="${EPREFIX}/usr/$(get_libdir)"
+ # Avoid infinite exec recursion, bug 642724
+ -Dtelinit-path="${EPREFIX}/lib/sysvinit/telinit"
+ # no deps
+ -Dima=true
+ -Ddefault-hierarchy=$(usex cgroup-hybrid hybrid unified)
+ # Optional components/dependencies
+ $(meson_native_use_bool acl)
+ $(meson_native_use_bool apparmor)
+ $(meson_native_use_bool audit)
+ $(meson_native_use_bool cryptsetup libcryptsetup)
+ $(meson_native_use_bool curl libcurl)
+ $(meson_native_use_bool dns-over-tls dns-over-tls)
+ $(meson_native_use_bool elfutils)
+ $(meson_native_use_bool fido2 libfido2)
+ $(meson_use gcrypt)
+ $(meson_native_use_bool gnuefi gnu-efi)
+ -Defi-includedir="${ESYSROOT}/usr/include/efi"
+ -Defi-ld="$(tc-getLD)"
+ -Defi-libdir="${ESYSROOT}/usr/$(get_libdir)"
+ $(meson_native_use_bool homed)
+ $(meson_native_use_bool hwdb)
+ $(meson_native_use_bool http microhttpd)
+ $(meson_native_use_bool idn)
+ $(meson_native_use_bool importd)
+ $(meson_native_use_bool importd bzip2)
+ $(meson_native_use_bool importd zlib)
+ $(meson_native_use_bool kmod)
+ $(meson_use lz4)
+ $(meson_use lzma xz)
+ $(meson_use zstd)
+ $(meson_native_use_bool nat libiptc)
+ $(meson_use pam)
+ $(meson_native_use_bool pkcs11 p11kit)
+ $(meson_native_use_bool pcre pcre2)
+ $(meson_native_use_bool policykit polkit)
+ $(meson_native_use_bool pwquality)
+ $(meson_native_use_bool qrcode qrencode)
+ $(meson_native_use_bool repart)
+ $(meson_native_use_bool seccomp)
+ $(meson_native_use_bool selinux)
+ $(meson_native_use_bool tpm tpm2)
+ $(meson_native_use_bool test dbus)
+ $(meson_native_use_bool xkb xkbcommon)
+ -Dntp-servers="0.gentoo.pool.ntp.org 1.gentoo.pool.ntp.org 2.gentoo.pool.ntp.org 3.gentoo.pool.ntp.org"
+ # Breaks screen, tmux, etc.
+ -Ddefault-kill-user-processes=false
+ -Dcreate-log-dirs=false
+
+ # multilib options
+ $(meson_native_true backlight)
+ $(meson_native_true binfmt)
+ $(meson_native_true coredump)
+ $(meson_native_true environment-d)
+ $(meson_native_true firstboot)
+ $(meson_native_true hibernate)
+ $(meson_native_true hostnamed)
+ $(meson_native_true ldconfig)
+ $(meson_native_true localed)
+ $(meson_native_true man)
+ $(meson_native_true networkd)
+ $(meson_native_true quotacheck)
+ $(meson_native_true randomseed)
+ $(meson_native_true rfkill)
+ $(meson_native_true sysusers)
+ $(meson_native_true timedated)
+ $(meson_native_true timesyncd)
+ $(meson_native_true tmpfiles)
+ $(meson_native_true vconsole)
+ )
+
+ meson_src_configure "${myconf[@]}"
+}
+
+multilib_src_test() {
+ unset DBUS_SESSION_BUS_ADDRESS XDG_RUNTIME_DIR
+ meson_src_test
+}
+
+multilib_src_install_all() {
+ local rootprefix=$(usex split-usr '' /usr)
+
+ # meson doesn't know about docdir
+ mv "${ED}"/usr/share/doc/{systemd,${PF}} || die
+
+ einstalldocs
+ dodoc "${FILESDIR}"/nsswitch.conf
+
+ if ! use resolvconf; then
+ rm -f "${ED}${rootprefix}"/sbin/resolvconf || die
+ fi
+
+ rm "${ED}"/etc/init.d/README || die
+ rm "${ED}${rootprefix}"/lib/systemd/system-generators/systemd-sysv-generator || die
+
+ if ! use sysv-utils; then
+ rm "${ED}${rootprefix}"/sbin/{halt,init,poweroff,reboot,runlevel,shutdown,telinit} || die
+ rm "${ED}"/usr/share/man/man1/init.1 || die
+ rm "${ED}"/usr/share/man/man8/{halt,poweroff,reboot,runlevel,shutdown,telinit}.8 || die
+ fi
+
+ if ! use resolvconf && ! use sysv-utils; then
+ rmdir "${ED}${rootprefix}"/sbin || die
+ fi
+
+ # https://bugs.gentoo.org/761763
+ rm -r "${ED}"/usr/lib/sysusers.d || die
+
+ # Preserve empty dirs in /etc & /var, bug #437008
+ keepdir /etc/{binfmt.d,modules-load.d,tmpfiles.d}
+ keepdir /etc/kernel/install.d
+ keepdir /etc/systemd/{network,system,user}
+ keepdir /etc/udev/rules.d
+
+ if use hwdb; then
+ keepdir /etc/udev/hwdb.d
+ fi
+
+ keepdir "${rootprefix}"/lib/systemd/{system-sleep,system-shutdown}
+ keepdir /usr/lib/{binfmt.d,modules-load.d}
+ keepdir /usr/lib/systemd/user-generators
+ keepdir /var/lib/systemd
+ keepdir /var/log/journal
+
+ # Symlink /etc/sysctl.conf for easy migration.
+ dosym ../../../etc/sysctl.conf /usr/lib/sysctl.d/99-sysctl.conf
+
+ if use pam; then
+ newpamd "${FILESDIR}"/systemd-user.pam systemd-user
+ fi
+
+ if use hwdb; then
+ rm -r "${ED}${rootprefix}"/lib/udev/hwdb.d || die
+ fi
+
+ if use split-usr; then
+ # Avoid breaking boot/reboot
+ dosym ../../../lib/systemd/systemd /usr/lib/systemd/systemd
+ dosym ../../../lib/systemd/systemd-shutdown /usr/lib/systemd/systemd-shutdown
+ fi
+
+ gen_usr_ldscript -a systemd udev
+}
+
+migrate_locale() {
+ local envd_locale_def="${EROOT}/etc/env.d/02locale"
+ local envd_locale=( "${EROOT}"/etc/env.d/??locale )
+ local locale_conf="${EROOT}/etc/locale.conf"
+
+ if [[ ! -L ${locale_conf} && ! -e ${locale_conf} ]]; then
+ # If locale.conf does not exist...
+ if [[ -e ${envd_locale} ]]; then
+ # ...either copy env.d/??locale if there's one
+ ebegin "Moving ${envd_locale} to ${locale_conf}"
+ mv "${envd_locale}" "${locale_conf}"
+ eend ${?} || FAIL=1
+ else
+ # ...or create a dummy default
+ ebegin "Creating ${locale_conf}"
+ cat > "${locale_conf}" <<-EOF
+ # This file has been created by the sys-apps/systemd ebuild.
+ # See locale.conf(5) and localectl(1).
+
+ # LANG=${LANG}
+ EOF
+ eend ${?} || FAIL=1
+ fi
+ fi
+
+ if [[ ! -L ${envd_locale} ]]; then
+ # now, if env.d/??locale is not a symlink (to locale.conf)...
+ if [[ -e ${envd_locale} ]]; then
+ # ...warn the user that he has duplicate locale settings
+ ewarn
+ ewarn "To ensure consistent behavior, you should replace ${envd_locale}"
+ ewarn "with a symlink to ${locale_conf}. Please migrate your settings"
+ ewarn "and create the symlink with the following command:"
+ ewarn "ln -s -n -f ../locale.conf ${envd_locale}"
+ ewarn
+ else
+ # ...or just create the symlink if there's nothing here
+ ebegin "Creating ${envd_locale_def} -> ../locale.conf symlink"
+ ln -n -s ../locale.conf "${envd_locale_def}"
+ eend ${?} || FAIL=1
+ fi
+ fi
+}
+
+pkg_preinst() {
+ if ! use split-usr; then
+ local dir
+ for dir in bin sbin lib; do
+ if [[ ! ${EROOT}/${dir} -ef ${EROOT}/usr/${dir} ]]; then
+ eerror "\"${EROOT}/${dir}\" and \"${EROOT}/usr/${dir}\" are not merged."
+ eerror "One of them should be a symbolic link to the other one."
+ FAIL=1
+ fi
+ done
+ if [[ ${FAIL} ]]; then
+ eerror "Migration to system layout with merged directories must be performed before"
+ eerror "rebuilding ${CATEGORY}/${PN} with USE=\"-split-usr\" to avoid run-time breakage."
+ die "System layout with split directories still used"
+ fi
+ fi
+}
+
+pkg_postinst() {
+ systemd_update_catalog
+
+ # Keep this here in case the database format changes so it gets updated
+ # when required.
+ if use hwdb; then
+ systemd-hwdb --root="${ROOT}" update
+ fi
+
+ udev_reload || FAIL=1
+
+ # Bug 465468, make sure locales are respected, and ensure consistency
+ # between OpenRC & systemd
+ migrate_locale
+
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ if type systemctl &>/dev/null; then
+ systemctl --root="${ROOT:-/}" enable getty@.service remote-fs.target || FAIL=1
+ fi
+ elog "To enable a useful set of services, run the following:"
+ elog " systemctl preset-all --preset-mode=enable-only"
+ fi
+
+ if [[ -L ${EROOT}/var/lib/systemd/timesync ]]; then
+ rm "${EROOT}/var/lib/systemd/timesync"
+ fi
+
+ if [[ -z ${ROOT} && -d /run/systemd/system ]]; then
+ ebegin "Reexecuting system manager"
+ systemctl daemon-reexec
+ eend $?
+ fi
+
+ if [[ ${FAIL} ]]; then
+ eerror "One of the postinst commands failed. Please check the postinst output"
+ eerror "for errors. You may need to clean up your system and/or try installing"
+ eerror "systemd again."
+ eerror
+ fi
+}
+
+pkg_prerm() {
+ # If removing systemd completely, remove the catalog database.
+ if [[ ! ${REPLACED_BY_VERSION} ]]; then
+ rm -f -v "${EROOT}"/var/lib/systemd/catalog/database
+ fi
+}